package com.tzld.piaoquan.tencentad.controller;

import com.tzld.piaoquan.tencentad.common.base.CommonResponse;
import com.tzld.piaoquan.tencentad.model.vo.AdCreativeParam;
import com.tzld.piaoquan.tencentad.model.vo.AdCreativeVo;
import com.tzld.piaoquan.tencentad.service.AdCreativeService;
import com.tzld.piaoquan.tencentad.service.AdVideoService;
import com.tzld.piaoquan.tencentad.utils.page.Page;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("/ad/creative")
public class AdCreativeController {

    @Autowired
    private AdVideoService adVideoService;

    @Autowired
    private AdCreativeService adCreativeService;

    @PostMapping("/add")
    public CommonResponse<Void> createAdCreative(@RequestBody AdCreativeParam creativeParam) {
        return adVideoService.createAdCreative(creativeParam);
    }

    @GetMapping("/get")
    public CommonResponse<Page<AdCreativeVo>> getAdCreative(@RequestParam(defaultValue = "1") Integer pageNum,
                                                            @RequestParam(defaultValue = "10") Integer pageSize) {
        return adCreativeService.getAdCreativeList(pageNum, pageSize);
    }
}
